Bug 1650063 - Applicable errata reporting template missing in 6.5
Summary: Applicable errata reporting template missing in 6.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Reporting
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-15 09:40 UTC by Sanket Jagtap
Modified: 2019-10-07 17:18 UTC (History)
6 users (show)

Fixed In Version: foreman-1.20.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:50 UTC


Attachments (Terms of Use)
related screenshot (80.42 KB, image/png)
2018-12-21 06:13 UTC, vijsingh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:58 UTC
Foreman Issue Tracker 25484 None None None 2018-11-16 13:46:08 UTC

Description Sanket Jagtap 2018-11-15 09:40:04 UTC
Description of problem:


Version-Release number of selected component (if applicable):
Satellite 6.5 Snap3

How reproducible:
Always

Steps to Reproduce:
1. Go to Reporting template
2. 
3.

Actual results:
Applicable errata reporting template Missing

Expected results:
Applicable errata reporting template should be visible

Additional info:

Comment 1 Sebastian Gräßl 2018-11-16 13:46:06 UTC
Created redmine issue https://projects.theforeman.org/issues/25484 from this bug

Comment 4 Marek Hulan 2018-11-22 19:07:26 UTC
Fixed in upstream community-templates, will be synced to Foreman 1.20.1, there's an easy workaround if needed, just apply patch from https://github.com/theforeman/community-templates/pull/538 and run foreman-rake db:seed

Comment 5 vijsingh 2018-12-21 06:13:08 UTC
Verified:

@Satellite 6.5.0 Snap 8.0

Steps:

Hammer:
+++++++++++++++++++++++++++++++++++++++++
# hammer report-template list
----|------------------
ID  | NAME             
----|------------------
284 | Applicable errata
285 | Host statuses CSV
286 | Registered hosts 
287 | Subscriptions    
----|------------------
# hammer report-template info --id 284
Id:              284
Name:            Applicable errata
Default:         yes
Created at:      2018/12/19 18:19:03
Updated at:      2018/12/19 18:19:03
Locations:       
    Default Location
Organizations:   
    Default Organization
Template inputs: 
 1) Name:        Hosts filter
    Description: Limit the report only on hosts found by this search query. Keep empty for report on all available hosts.
    Required:    no
 2) Name:        Errata filter
    Description: Limit the report only on errata found by this search query. Keep empty for report on all available errata.
    Required:    no
+++++++++++++++++++++++++++++++++++++++++

GUI: Screenshot attached.

Observation:
- able to see 'Applicable errata' template

Comment 6 vijsingh 2018-12-21 06:13:57 UTC
Created attachment 1516041 [details]
related screenshot

Comment 8 errata-xmlrpc 2019-05-14 12:38:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.